<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:saxon="http://icl.com/saxon" extension-element-prefixes="saxon" version="1.0">  
<xsl:variable name="nbsp">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</xsl:variable>

<xsl:output method="html"/>
<xsl:key name="exampleElement" match="*[ancestor::example]" use="name()"/>

<xsl:template match="/">
    <html>
      <head>
	<link rel="stylesheet" type="text/css" href="../../CSS/style.css"/>
	<title>XHTML reference</title>
      </head>
      <body>
	  <xsl:apply-templates select="//example[position()=1]"/>
      </body>
    </html>
</xsl:template>

<xsl:template match="example" mode="printXHTML">
  <xsl:document href="{$pwd}Output/Examples/{generate-id()}.xml" method="xml" indent="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
    doctype-system="../../dtd/xhtml1-strict.dtd">

    <html xmlns="http://www.w3.org/1999/xhtml">
      <head>
	<title>Zvon XHTML Reference Example</title>
      </head>
      <body>
	<xsl:apply-templates select="node()" mode="xhtmlNamespace"/>  
      </body>
    </html>
  </xsl:document>
</xsl:template>

<xsl:template match="*" mode="xhtmlNamespace">
  <xsl:element name="{name()}" namespace="http://www.w3.org/1999/xhtml">
    <xsl:copy-of select="@*"/>
    <xsl:apply-templates select="node()" mode="xhtmlNamespace"/>
  </xsl:element>
</xsl:template>

<xsl:template match="example">
  <p/>
  <table width="100%" cellpadding="5"><tr><td class="exampleDisplay">Your browser display:</td></tr></table>
  <xsl:copy-of select="node()"/>

  <table border="1" cellpadding="5" width="100%">
    <tr><td class="sourceMenu">Source [<a class="xhtmlSource" href="../Examples/{generate-id()}.xml">&#160;&#160;Open as XHTML document&#160;&#160;</a>]</td></tr>
    <tr><td class="sourceBody">
      <xsl:apply-templates select="node()" mode="printXML"/>  
    </td></tr>
  </table>
</xsl:template>

<xsl:template match="pre/text()" mode="printXML">
  <pre><xsl:value-of select="."/></pre>
</xsl:template>

<xsl:template match="*" mode="printXML">
  <xsl:param name="level" select="0"/>
  <br/>
  <xsl:value-of select="substring($nbsp,1,$level * 5)"/>

  <xsl:text>&lt;</xsl:text>
  <a class='element' href="el_{local-name()}.html"><xsl:value-of select="name()"/></a>
  <xsl:apply-templates select="@*" mode="printXML"/>

  <xsl:choose>
    <xsl:when test="node()">
      <xsl:text>&gt;</xsl:text>

      <xsl:apply-templates mode="printXML">
	<xsl:with-param name="level" select="$level + 1"/>
      </xsl:apply-templates>
      <xsl:if test="*">
	<br/>
	<xsl:value-of select="substring($nbsp,1,$level * 5)"/>
      </xsl:if>
      <xsl:text>&lt;/</xsl:text>
      <a class="element" href="el_{local-name()}.html"><xsl:value-of select="name()"/></a>
      <xsl:text>&gt;</xsl:text>
    </xsl:when>
    <xsl:otherwise>/&gt;</xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="@*" mode="printXML">
  <xsl:text> </xsl:text>
  <a href="attr_{name()}.html" class="attribute"><xsl:value-of select="name()"/></a>
  <xsl:text>="</xsl:text>
  <xsl:value-of select="."/>
  <xsl:text>"</xsl:text>
</xsl:template>


</xsl:stylesheet>




