<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:saxon="http://icl.com/saxon" extension-element-prefixes="saxon" version="1.0"> 


<xsl:import href="../../../share/XSLT/bottomLinks.xsl"/>
<xsl:import href="../../../share/XSLT/descriptionTop.xslt"/>
<xsl:import href="../../../XSLT/make_html_topmenu.xsl"/>
<xsl:import href="../../../share/XSLT/indexMenu.xslt"/>

<xsl:param name="basePath"/>

<xsl:variable name="menu">
  <groups xmlns="">
    <group id="meta" href="./characters.html" title="meta characters"/>
    <group id="quant" href="./quantifiers.html" title="quantifiers"/>
    <group id="ext"   href="./extensions.html" title="extensions"/>
  </groups>
</xsl:variable>

<xsl:variable name="zvonItemid" select="document('../Data/frontpage.xml')/frontPage/@idref"/>



<xsl:template name="transpose">
  <xsl:param name="data"/>

  <xsl:variable name="xxx">
    <xsl:value-of select="translate($data,' \/:(){}[]&lt;&gt;=*+?!#.,0123456789','ABCDEFGHIJKLMNOPQRSTnnnnnnnnnn')"/>
  </xsl:variable>

  <xsl:variable name="yyy">
    <xsl:choose>
      <xsl:when test='(contains("abcdefghijklmnopqrstuvwxyz",substring($xxx,2,1)))'>
	<xsl:text>lower_</xsl:text>
	<xsl:value-of select="$xxx"/>
      </xsl:when>
      <xsl:otherwise>
	<xsl:value-of select="$xxx"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:value-of select="$yyy"/>
</xsl:template>





<xsl:template name="description-header">
  <xsl:param name="sectionId"/>
  <xsl:call-template name="share_descriptionTop">
    <xsl:with-param name="id" select="$zvonItemid"/>
  </xsl:call-template>
</xsl:template>



</xsl:stylesheet>



